{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";
    fenix = {
      url = "github:nix-community/fenix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = {self, nixpkgs, fenix, flake-utils}@inputs:
  flake-utils.lib.eachDefaultSystem (system:
  let pkgs = nixpkgs.legacyPackages.${system};
      lib = pkgs.lib;
  in
  rec {
    defaultPackage = (pkgs.makeRustPlatform {
      inherit (fenix.packages.${system}.complete) cargo rustc;
    }).buildRustPackage {
      pname = "shq";
      version = (builtins.fromTOML (builtins.readFile ./Cargo.toml)).package.version;
      src = ./.;
      cargoLock = {
        lockFile = ./Cargo.lock;
      };
    };
    packages.shq = defaultPackage;
    devShells.default = pkgs.mkShell {
      buildInputs = [ fenix.packages.${system}.complete.toolchain ];
    };
  });
}
